summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2010-06-04 14:38:21 +0200
committerMichael Olbrich <m.olbrich@pengutronix.de>2010-06-04 14:38:21 +0200
commit7abf04ed50547d282b4543019f32ea64e2b85e21 (patch)
treefb0ec15cc8914ef7b3be62c9e02e0abffacefe1a
parent49a1584de9a31660c5da4f98fd9daffd2b2f88a1 (diff)
downloadjson-dbus-bridge-examples-7abf04ed50547d282b4543019f32ea64e2b85e21.tar.gz
json-dbus-bridge-examples-7abf04ed50547d282b4543019f32ea64e2b85e21.tar.xz
[run.sh] improve error handling
Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
-rwxr-xr-xrun.sh.in9
1 files changed, 8 insertions, 1 deletions
diff --git a/run.sh.in b/run.sh.in
index 95d846a..0ef7f14 100755
--- a/run.sh.in
+++ b/run.sh.in
@@ -8,6 +8,13 @@
# and related or neighboring rights to JSON-DBus-Bridge Demo Code.
#
+if [ ! -f "@abs_builddir@/web-gui/index.html" ]; then
+ echo
+ echo 'You must run "make" before running this script'
+ echo
+ exit 1
+fi
+
finish() {
kill $hello_pid
kill $calculator_pid
@@ -30,7 +37,7 @@ echo -n "waiting for lighttpd "
for i in `seq 10`; do
sleep 1
echo -n "."
- wget -e no_proxy=localhost -O - -q http://localhost:8080/hello-world/build/ > /dev/null && break
+ wget -e no_proxy=localhost -O - -q http://localhost:8080/ > /dev/null && break
done
if [ $? -ne 0 ]; then